summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index ef278da92..303935a9b 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -35,6 +35,7 @@ fi
if [[ -n $ADK_PACKAGE_FIREFOX ]]; then
NEED_ZIP="$NEED_ZIP firefox"
NEED_LIBIDL="$NEED_LIBIDL firefox"
+ NEED_PYTHON="$NEED_PYTHON firefox"
fi
if [[ -n $ADK_COMPILE_HEIMDAL ]]; then
@@ -254,4 +255,15 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
+if [[ -n $NEED_PYTHON ]]; then
+ if ! which python >/dev/null 2>&1; then
+ if ! test -x /usr/pkg/bin/python2.6 >/dev/null; then
+ echo >&2 You need python to to use $NEED_PYTHON package
+ out=1
+ fi
+ fi
+fi
+
+exit $out
+
exit $out